{% extends 'base.html' %}
{% load static %}

{% block head %}
<link rel="stylesheet" href="{% static 'Story6/css/style6.css' %}">
{% endblock %}

{% block title %}My Events{% endblock %}

{% block content %}
{% include 'navbar.html' %}


<div class="fluid-container event-container mx-auto">
    <p class="judul text-center mb-4">My Events</p>
    
    <div class= "d-flex flex-wrap justify-content-center mb-5">
        {% if not acarapeserta %}
            <p class="text-center" style=font-size:1.5rem >Sorry, there is no event in here</p>
        {% endif %}
        {% for acara in acarapeserta %}
        <div class="card text-center mx-3" style="width: 18rem;">
            <div class = "text-left px-2 pt-2" style="background-color: #2c2c2c;">
                <form action= "{% url 'Story6:deleteevent' %}" method="POST" style="display: inline; margin: 5px;">
                    {% csrf_token %}
                    <input name="event_id" value="{{acara.0.id}}" type="hidden">
                    <button type="submit" value="submit" style="background-color:transparent; border-color: transparent; border-width: 0; color: white;"><i class="fas fa-trash-alt"></i></button>
                </form>
            </div>

            <div class="card-body d-flex flex-column pt-0">
                <h5 class="card-title">{{ acara.0.namaacara }}</h5>
                {% if not acara.1 %}
                <p class="card-text m-0">Still waiting for Participant(s)</p> 
                {% endif %}
                {% for peserta in acara.1%}
                <div class = "d-flex align-items-center justify-content-center m-1">
                    <p class="card-text m-0">{{peserta}}</p> 
                    <form action= "{% url 'Story6:removeparticipant' %}" method="POST" style="display: inline; margin: 5px;">
                    {% csrf_token %}
                    <input name="peserta_id" value="{{peserta.id}}" type="hidden">
                    <button type="submit" value="submit" style="background-color:transparent; border-color: transparent; border-width: 0; color: white; font-size: 0.8rem;"><i class="fas fa-trash-alt"></i></button>
                </form>
                </div>
                
                {% endfor %}
                <br>
                <div class="mt-auto">
                    <h1 class="text-left" style="font-size: 1rem;">Add Participant</h1>
                    <form action = "{% url 'Story6:addparticipant' %}" method = "POST">
                        {% csrf_token %}
                        <input type="hidden" name="acara" value="{{ acara.0.id }}">
                        {{pesertaform.nama}} 
                        <button type="submit" class="btn btme btn-dark float-right mt-2"> Add Participant </button>
                    </form>    
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
   
        
    <h1 class="text-center">Add event here</h1>
    <div class="row justify-content-center">
        <form action = "{% url 'Story6:addevent' %}" method = "POST">
            {% csrf_token %}
            {{acaraform.namaacara}}
            <div class="row justify-content-center">
                <button type="submit" class="btn btme btn-dark mt-2"> Add Event </button>
            </div>
        </form>
    </div>
    
</div>



    
{% include 'footer.html' %}

{% endblock %}